Package org.eclipse.birt.chart.event

# Class EventObjectCache

java.lang.Object
org.eclipse.birt.chart.event.EventObjectCache

Direct Known Subclasses:
  `DeviceAdapter`

public class EventObjectCache extends Object
An internal cache that provides reusable primitive (and block) rendering event objects. A local cache is created per generation sequence so issues with multithreaded access shouldn't arise.

## Constructor Summary

Constructors
Constructor
Description
`EventObjectCache()`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`final <T extends ChartEvent>
T`
`getEventObject(Object oSource, Class<T> cType)`
Creates or returns the requested event object from local cache.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventObjectCache

public EventObjectCache()
The constructor.

## Method Details

### getEventObject

public final <T extends ChartEvent> T getEventObject(Object oSource, Class<T> cType)
Creates or returns the requested event object from local cache.

Parameters:
  `oSource` -
  `cType` -
Returns:
  An instance of the requested event object that encapsulates rendering attributes